package com.tencent.mm.plugin.g;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.al.f;
import com.tencent.mm.model.q;
import com.tencent.mm.protocal.j;
import com.tencent.mm.protocal.j.g;
import com.tencent.mm.protocal.v.b;
import com.tencent.mm.sdk.platformtools.al;

public final class a extends q implements com.tencent.mm.plugin.auth.a.a {
    private static a ksU;

    private a() {
        super(f.class);
    }

    public static synchronized a beP() {
        a aVar;
        synchronized (a.class) {
            AppMethodBeat.i(79085);
            if (ksU == null) {
                ksU = new a();
            }
            aVar = ksU;
            AppMethodBeat.o(79085);
        }
        return aVar;
    }

    public final void a(j.f fVar, g gVar, boolean z) {
    }

    public final void a(b bVar, String str, int i, String str2, String str3, int i2) {
        AppMethodBeat.i(79086);
        if (bVar.vyJ.luF != 0) {
            al.d(new 1(bVar.vyJ.vMl, bVar.vyJ.vMm, bVar.vyJ.vMn));
        }
        AppMethodBeat.o(79086);
    }
}
